import request from '@/utils/request'

export function getBannerList(query) {
  return request({
    url: '/home/page/banner/list',
    method: 'get',
    params: query
  })
}

export function getBannerStatus(id) {
  return request({
    url: '/home/page/check/banner/status/' + id,
    method: 'get'
  })
}

export function getBannerSort(id, sort) {
  return request({
    url: `/home/page/banner/${id}/${sort}`,
    method: 'get'
  })
}

export function savePageBanner(params) {
  return request({
    url: '/home/page/save/banner',
    method: 'post',
    data: params
  })
}

export function delPageBanner(id) {
  return request({
    url: '/home/page/del/banner/' + id,
    method: 'get'
  })
}

export function switchGoods(id) {
  return request({
    url: '/product/cmMallOrganizeProducts/switchLine/' + id,
    method: 'get'
  })
}

export function saveGoods(goods) {
  return request({
    url: '/product/cmMallOrganizeProducts/saveEditProductInfo',
    method: 'post',
    data: goods
  })
}

export function saveGoodsSort(sorts) {
  return request({
    url: '/product/cmMallOrganizeProducts/batchSaveSort',
    method: 'post',
    params: sorts
  })
}

export function getAddList(query) {
  return request({
    url: '/product/cmMallOrganizeProducts/toAddProduct1',
    method: 'get',
    params: query
  })
}

export function saveAddList(data) {
  return request({
    url: '/product/cmMallOrganizeProducts/saveAddProductInfo',
    method: 'post',
    data: data
  })
}

export function canncelProduct(data) {
  return request({
    url: '/product/cmMallOrganizeProducts/canncelProduct',
    method: 'post',
    data: data
  })
}
